#ifndef INCLUDED_SECTIONS_
#define INCLUDED_SECTIONS_

#include <vector>
#include <ostream>
#include <iosfwd>

#include "../utils/utils.h"
#include "../types/types.h"

class Sections: private Types, private Utils
{
    std::ostream &d_out;
    Map const &d_map;

    public:
        Sections(std::ostream &out, Map const &map);
        void insert() const;                                            // 1

    private:
        void insert(Element const &element) const;                      // 2
};

#endif
